<template>
  <div class="header">
    <button
      class="nav-button button"
      @click="viewNavigation"
      title="Open navigation"
    >
      <img src="../../assets/hamburger.png" alt="hamburger menu logo" />
    </button>
    <router-link :to="{ name: 'home' }">
      <h1>Gotcha!</h1>
    </router-link>
    <button
      class="account-button button"
      @click="viewAccount"
      title="Open my profile"
    >
      <img src="../../assets/accountLogo.png" alt="profile logo" />
    </button>
    <NavigationTab v-show="navigation"></NavigationTab>
    <AccountTab v-show="account"></AccountTab>
  </div>
</template>

<script>
import NavigationTab from "../molecules/NavigationTab.vue";
import AccountTab from "../molecules/AccountTab.vue";
// import InputTag from "../atoms/InputTag.vue";
// import InputField from "../atoms/InputField.vue";

export default {
  data() {
    return {
      navigation: false,
      account: false,
    };
  },
  components: { NavigationTab, AccountTab },
  methods: {
    viewNavigation() {
      this.account = false;
      this.navigation = Boolean(1 - this.navigation);
    },
    viewAccount() {
      this.navigation = false;
      this.account = Boolean(1 - this.account);
    },
  },
};
</script>

<style lang="scss">
.header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;

  background-color: #09639b;
  height: 3rem;
  padding: 0rem 1rem;
  .button {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
  }
  .nav-button {
    img {
      width: 1.8rem;
      height: 1.8rem;
    }
  }
  .account-button {
    img {
      width: 2rem;
      height: 2rem;
    }
  }
  h1 {
    color: white;
    font-weight: bold;
    font-size: 1rem;
  }
  a {
    text-decoration: none;
  }
}
</style>
